# -*- coding: utf-8 -*-

from django.contrib import admin

from integral.models import SaleclerkIntegralIncomeExpensesInfo


class SaleclerkIntegralIncomeExpensesInfoAdmin(admin.ModelAdmin):
    readonly_fields = ('franchiser_id', 'clerk_id', 'type', 'code', 'integral', 'left_integral')
    list_display = ('franchiser_id', 'clerk_id', 'type', 'code', 'integral', 'left_integral', 'remark', 'status', 'created_at', 'updated_at')
    search_fields = ('code', 'remark')
    list_filter = ('franchiser_id', 'type', 'status')


admin.site.register(SaleclerkIntegralIncomeExpensesInfo, SaleclerkIntegralIncomeExpensesInfoAdmin)
